Skip to main content
DELETE
/
ppi
/
user
/
bene
/
remove
curl --request DELETE \ --url https://api.cashfree.com/ppi/user/bene/remove \ --header 'Content-Type: application/json' \ --header 'x-api-version: <x-api-version>' \ --header 'x-client-id: <api-key>' \ --header 'x-client-secret: <api-key>' \ --data ' { "user_id": "USER827364", "bene_id": "BENE28448", "bene_instrument_id": "INST194947" } '
{ "user_id": "USER827364", "bene_id": "BENE28448", "instrument": { "bene_instrument_id": "INST194947", "type": "BANK_ACCOUNT", "bank_bank_account_number": "3749378903", "ifsc": "HDFC0001234", "status": "REMOVED", "verification_status": "VERIFIED", "cf_bene_instrument_id": "8324782642946" }, "status": "ACTIVE" }

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree.

x-client-secret
string
header
required

The secret key associated with your client ID.

Headers

x-api-version
string
default:2025-11-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2025-11-01"

Body

application/json
user_id
string
required

Unique identifier for the user, as provided by you during PPI user creation.

Required string length: 1 - 50
Example:

"USER827364"

bene_id
string
required

Unique identifier for the beneficiary, as provided by you during beneficiary creation.

Required string length: 1 - 50
Example:

"BENE28448"

bene_instrument_id
string

Unique identifier for the instrument, as provided by you during beneficiary creation. If not provided, the entire beneficiary will be removed.

Required string length: 1 - 50
Example:

"INST194947"

Response

Beneficiary removed successfully.

user_id
string

Unique identifier for the user, as provided by you during PPI user creation.

Example:

"USER827364"

bene_id
string

Unique identifier for the beneficiary, as provided by you during beneficiary creation.

Example:

"BENE28448"

instrument
Bank Account · object

Instrument removed from the beneficiary (if provided in request).

status
string

Status of the beneficiary. Possible values:

  • ACTIVE
  • REMOVED
Example:

"ACTIVE"